%define src_ver 1.0
%define languagelocal romana
%define languageeng romanian
%define languagecode ro

Summary: 	Romanian files for ispell
Name: 		ispell-%{languagecode} 
Version: 	1.0
Release: 	6mdk
# home page disappeared :-( http://www.pub.ro/pub/spell-roman
URL: 		none
Source:		http://www.cs.cmu.edu/~mihaib/ftp/rom-spell.tar.bz2
Patch: 	        rom-spell-7bit.diff.bz2
Copyright: 	GPL
Group: 		System/Internationalization
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prefix: 	%{_prefix}
BuildArchitectures: noarch
Autoreqprov: no

Requires: locales-%{languagecode}
Requires: ispell
Provides: ispell-dictionary

%description
ispell-ro has the spelling data for Romanian which is used by
the ispell program. With this extension, you can compose a document
in Romanian and check it for the typos easily.

Ispell can be used directly from command line to check a file; 
or used by several text dealing programs, like LyX, etc.

%prep
%setup -n rom-spell
%patch0 -p 0
%build
# convert to 8bits
cat rom.signs.dict | sed 's|"a||g' | sed 's|"A||g' | sed "s|'i||g" | \
	sed "s|'I||g" | sed "s|'s||g" | sed "s|'S||g" | sed "s|'t||g" | \
	sed "s|'T||g" | sed "s|'a||g" | sed "s|'A||g"  > %{languagelocal}.hash

mv -f rom.signs.aff %{languagelocal}.aff
mv -f rom.dict rom7.hash
mv -f rom.aff rom7.aff

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ispell

install -m 644 %{languagelocal}.aff $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.aff
install -m 644 %{languagelocal}.hash $RPM_BUILD_ROOT%{_libdir}/ispell/%{languagelocal}.hash

install -m 644 rom7.aff $RPM_BUILD_ROOT%{_libdir}/ispell/
install -m 644 rom7.hash $RPM_BUILD_ROOT%{_libdir}/ispell/

# LaTeX babel
if [ "%{languagelocal}" != "%{languageeng}" ];then
 cd $RPM_BUILD_ROOT%{_libdir}/ispell
 ln -s %{languagelocal}.aff %{languageeng}.aff
 ln -s %{languagelocal}.hash %{languageeng}.hash

 ln -s %{languagelocal}.aff rom.signs.aff
 ln -s %{languagelocal}.hash rom.signs.hash
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post
cd %{_libdir}/ispell
mv -f %{languagelocal}.hash %{languagelocal}.ispell
buildhash %{languagelocal}.ispell %{languagelocal}.aff %{languagelocal}.hash &> /dev/null
rm -f %{languagelocal}.ispell.stat %{languagelocal}.ispell.cnt %{languagelocal}.ispell

mv -f rom7.hash rom7.ispell
buildhash rom7.ispell rom7.aff rom7.hash &> /dev/null
rm -f rom7.ispell.stat rom7.ispell.cnt rom7.ispell

%files
%defattr(644, root, root,755)
%doc README*
%{_libdir}/ispell/*

%changelog
* Sat Aug 26 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-6mdk
- Small fix to the spec, no output on buildhash.

* Sun Aug 13 2000 Troels Liebe Bentsen <tlb@iname.com> 1.0-5mdk
- Cleaned up the spec and moved to standard template.

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-4mdk
- BM

* Tue Apr 25 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-3mdk
- corrected the bug with inverted a^ / a( letters.

* Thu Mar 30 2000 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0-2mdk
- adapted to new Group: naming

* Wed Jan 12 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Provides: ispell-dictionary 

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First version for Mandrake.